Page MenuHomeSolus

Update Mailspring to 1.8.0
Closed, ResolvedPublic

Description

When will Mailspring version 1.8.0 be available in the repository? Or is the upgrade not going to be included?

Related Objects

Event Timeline

usegnu created this task.Jan 30 2021, 3:28 PM

Working on it at the moment. Apologies on the delay, I haven't had the time until this weekend to re-setup my build environment after switching systems.

Unfortunately, I can't get Mailspring v1.8.0 to build. Looks to be an issue with NPM detailed here. None of the proposed solutions on cleaning the cache have an effect. Neither does forcing graceful-fs to a higher version. Let me know if anyone has any ideas.

JoshStrobl renamed this task from Mailspring 1.8.0 to Update Mailspring to 1.8.0.Feb 2 2021, 7:33 AM
JoshStrobl triaged this task as Normal priority.
JoshStrobl edited projects, added Software; removed Package Requests.
JoshStrobl moved this task from Backlog to Update Requested on the Software board.
JoshStrobl added a subscriber: JoshStrobl.

Would appreciate if this task could be updated to be a validate package update request: https://getsol.us/articles/packaging/request-a-package-update/en/

@usegnu Why did you create yet another task with the info rather than just provide the info? Plus the mailspring package maintainer for Solus already replied with why it hasn't been updated.

usegnu added a comment.Mar 6 2021, 1:39 PM

@usegnu Why did you create yet another task with the info rather than just provide the info? Plus the mailspring package maintainer for Solus already replied with why it hasn't been updated.

Sorry, I did a search before submitting the task and did not find one already open.

@JoshStrobl, I briefly talked with Bryan about this last week, but how would you feel if we went back to repacking the Mailspring .deb until we're able to figure out these NPM issues?

That's fine by me.